org.cybergarage.net

## Class HostInterface

- java.lang.Object
- - org.cybergarage.net.HostInterface

-     public class HostInterface
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `USE_LOOPBACK_ADDR`
    `static boolean` | `USE_ONLY_IPV4_ADDR`
    `static boolean` | `USE_ONLY_IPV6_ADDR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostInterface()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getHostAddress(int n)`
    `static String` | `getHostURL(String host, int port, String uri)`
    `static String` | `getInterface()`
    `static String` | `getIPv4Address()`
    `static String` | `getIPv6Address()`
    `static int` | `getNHostAddresses()`
    `static boolean` | `hasIPv4Addresses()`
    `static boolean` | `hasIPv6Addresses()`
    `static boolean` | `isIPv4Address(String host)`
    `static boolean` | `isIPv6Address(String host)`
    `static void` | `setInterface(String ifaddr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USE_LOOPBACK_ADDR

          public static boolean USE_LOOPBACK_ADDR

    - #### USE_ONLY_IPV4_ADDR

          public static boolean USE_ONLY_IPV4_ADDR

    - #### USE_ONLY_IPV6_ADDR

          public static boolean USE_ONLY_IPV6_ADDR

  - ### Constructor Detail

    - #### HostInterface

          public HostInterface()

  - ### Method Detail

    - #### setInterface

          public static final void setInterface(String ifaddr)

    - #### getInterface

          public static final String getInterface()

    - #### getNHostAddresses

          public static final int getNHostAddresses()

    - #### getHostAddress

          public static final String getHostAddress(int n)

    - #### isIPv6Address

          public static final boolean isIPv6Address(String host)

    - #### isIPv4Address

          public static final boolean isIPv4Address(String host)

    - #### hasIPv4Addresses

          public static final boolean hasIPv4Addresses()

    - #### hasIPv6Addresses

          public static final boolean hasIPv6Addresses()

    - #### getIPv4Address

          public static final String getIPv4Address()

    - #### getIPv6Address

          public static final String getIPv6Address()

    - #### getHostURL

          public static final String getHostURL(String host,
                          int port,
                          String uri)